/*
 * TelemetryDispatcher.hpp
 *
 *  Created on: Dec 27, 2025
 *      Author: Gabriel
 */

#ifndef COMPONENTS_TELEMETRYDISPATCHER_TELEMETRYDISPATCHER_HPP_
#define COMPONENTS_TELEMETRYDISPATCHER_TELEMETRYDISPATCHER_HPP_

#include "Executable.hpp"
#include "HIDRAW.hpp"
#include "Queue.hpp"
#include "TelemetryPacket.hpp"

class TelemetryDispatcher : public Executable {
public:
	TelemetryDispatcher(Queue<TelemetryPacket>* inQueue, HIDRAW* pHid);
	virtual ~TelemetryDispatcher();
	int32_t init();
	int32_t execute();
private:
	Queue<TelemetryPacket>* inQueue;
	HIDRAW* pHid;
};

#endif /* COMPONENTS_TELEMETRYDISPATCHER_TELEMETRYDISPATCHER_HPP_ */
